Subject: Re: bug#8492: 23.3; Time to use a different binding for completion?

From: Reuben Thomas <[email-masked]>
Date: Sun, 24 Apr 2011 20:55:12 +0100

On 24 April 2011 19:08, Chong Yidong <[email-masked]> wrote:
> Stefan Monnier <[email-masked]> writes:
>
>>> Is it therefore time to admit defeat and find an alternative binding for
>>> completion functions, even if it’s an extra binding rather than simply a
>>> different one?
>>
>> TAB can do completion if you (setq tab-always-indent 'complete).
>
> I tried this out some time ago, but found it unsatisfactory.  The
> problem was that I sometimes spuriously triggered completion when I only
> intended to indent, because the current line happened to be correctly
> indented.  It is often difficult to tell by eye whether a line is
> already indented.

I feared as much. Thanks for the input, I'll avoid wasting my time on
the experiment.

-- 
http://rrt.sc3d.org